Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::PictureManager Class Reference

ピクチャマネージャ More...

`#include <PictureManager.h>`

Inheritance diagram for Lamp::PictureManager:

List of all members.

## Public Member Functions
virtual PictureRGB8 * | createPictureRGB8 (const String &pictureName)
| RGB8ビットピクチャの作成.
virtual PictureRGBA8 * | createPictureRGBA8 (const String &pictureName)
| RGBA8ビットピクチャの作成.
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual bool | restoreGraphicsDeviceObjects ()
| デバイスオブジェクトのリストア
virtual void | invalidateGraphicsDeviceObjects ()
| デバイスオブジェクトの無効化
## Protected Member Functions
| PictureManager (Scene *scene)
| コンストラクタ
## Friends
class | Scene

## Detailed Description

ピクチャマネージャ

Definition at line 38 of file PictureManager.h.

## Constructor & Destructor Documentation

Lamp::PictureManager::PictureManager | ( | Scene * | scene | ) | `[protected]`

  | コンストラクタ Parameters:
  scene | シーン
Definition at line 32 of file PictureManager.cpp.

## Member Function Documentation

PictureRGB8 * Lamp::PictureManager::createPictureRGB8 | ( | const String & | pictureName | ) | `[virtual]`

  | RGB8ビットピクチャの作成. すでに同じピクチャ名のピクチャが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  pictureName | ピクチャ名
Returns: 作成されたピクチャ Definition at line 37 of file PictureManager.cpp. References Lamp::SceneObjectManagerTemplate< Picture >::addDatabase(), Lamp::SceneObjectManagerTemplate< Picture >::checkName(), Lamp::SceneObjectManagerTemplate< Picture >::getScene(), and NULL. Referenced by Lamp::PictureRGB8::copyPictureRGB8(), Lamp::TextSceneLoader::readPictureRGB8(), and Lamp::BinarySceneLoader::readPictureRGB8().

PictureRGBA8 * Lamp::PictureManager::createPictureRGBA8 | ( | const String & | pictureName | ) | `[virtual]`

  | RGBA8ビットピクチャの作成. すでに同じピクチャ名のピクチャが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  pictureName | ピクチャ名
Returns: 作成されたピクチャ Definition at line 45 of file PictureManager.cpp. References Lamp::SceneObjectManagerTemplate< Picture >::addDatabase(), Lamp::SceneObjectManagerTemplate< Picture >::checkName(), Lamp::SceneObjectManagerTemplate< Picture >::getScene(), and NULL. Referenced by Lamp::PictureRGBA8::copyPictureRGBA8(), Lamp::TextSceneLoader::readPictureRGBA8(), and Lamp::BinarySceneLoader::readPictureRGBA8().

bool Lamp::PictureManager::initializeGraphicsDeviceObjects | ( |  | ) | `[virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 53 of file PictureManager.cpp. References Lamp::SceneObjectManagerTemplate< Picture >::get(), Lamp::SceneObjectManagerTemplate< Picture >::getCount(), and Lamp::Picture::initializeGraphicsDeviceObjects(). Referenced by Lamp::Scene::initializeGraphicsDeviceObjects().

bool Lamp::PictureManager::restoreGraphicsDeviceObjects | ( |  | ) | `[virtual]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 70 of file PictureManager.cpp. References Lamp::SceneObjectManagerTemplate< Picture >::get(), Lamp::SceneObjectManagerTemplate< Picture >::getCount(), and Lamp::Picture::restoreGraphicsDeviceObjects(). Referenced by Lamp::Scene::restoreGraphicsDeviceObjects().

The documentation for this class was generated from the following files:

- PictureManager.h
- PictureManager.cpp